import { jsx } from "react/jsx-runtime";
import { Wall as Wall$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Wall = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Wall", ...props, children: /* @__PURE__ */ jsx(Wall$1, { weight: variant }) });
  }
);
Wall.displayName = "Wall";
Object.assign(Wall, { isGdsIcon: true });
export {
  Wall
};
